QGIS Application - Feature request #19608
Avoid adding processing model output to layer list
2018-08-13 01:37 PM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 27435
Description

In some cases, | would like a processing model to create an output file (such as GeoPackage), without also adding it to the layer list in the
main window. | don’t see an option like "Add processing model output to layer list" and | think that is a missing feature.

History

#1 - 2018-08-26 07:23 AM - Alexander Bruy

- Status changed from Open to Feedback

Magnus Nilsson wrote:

In some cases, | would like a processing model to create an output file (such as GeoPackage), without also adding it to the layer list in the main

window. | don't see an option like "Add processing model output to layer list" and | think that is a missing feature.

Models, as all other Processing algorithms, add outputs to the layer tree by default. But under each output there is a checkbox "Add result to canvas" to
control this behaviour. Just uncheck it if you don't want to add specific result to the canvas.

#2 - 2018-09-25 03:53 AM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed
